Page MenuHomeSoftware Heritage

Use latest sphinx version to build the doc
ClosedPublic

Authored by anlambert on Mon, Feb 3, 2:32 PM.

Details

Summary

Now that sphinxcontrib-images extension has gained support for Sphinx > 2
in its 0.9.1 release, we can remove the restriction on Sphinx version in
the requirements file.

Also considering that we now rely on a virtualenv to build the doc, remove
the hacks to invocate sphinx-build and sphinx-apidoc in Makefiles.

Related to T2264

Diff Detail

Repository
rDDOC Development documentation
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

anlambert created this revision.Mon, Feb 3, 2:32 PM
vlorentz accepted this revision.Mon, Feb 3, 2:43 PM
vlorentz added a subscriber: vlorentz.

This is better than D1320, thx

This revision is now accepted and ready to land.Mon, Feb 3, 2:43 PM
This revision was automatically updated to reflect the committed changes.